### Function: AddSpawnIDAccess(Player, spawn_id, zone)

**Description:**
Adds Player to the access list of the spawn_id provided.  Zone is optional, it will use Player's zone to determine any Spawn's in zone based on the spawn_id provided.

**Parameters:**
- `Player` (Spawn) - Spawn object representing `Player`.
- `spawn_id` (uint32) - Integer value `spawn_id`.
- `zone` (Zone) - Zone object representing `zone`.

**Returns:** None.

**Example:**

Example Required
